%% read phantom file
function [Parm, Epsr, Sigm] = read_phantom(fn, Parm)
%%
% file open
[fid, errmsg] = fopen(fn, 'rt');
if (fid < 0)
	fprintf('%s : %s\n', errmsg, fn);
	return;
end

% header
fgetl(fid);  % dummy=1mm
nxf = str2double(fgetl(fid));  % =99
nzf = str2double(fgetl(fid));  % =50
nyf = str2double(fgetl(fid));  % =96

Parm.nxp = 100;  % = nxf + 1
Parm.nyp = 100;  % = nzf + 4
Parm.nzp =  50;  % = nyf

% alloc
itis = zeros(Parm.nxp, Parm.nyp, Parm.nzp);
Epsr =  ones(Parm.nxp, Parm.nyp, Parm.nzp);
Sigm = zeros(Parm.nxp, Parm.nyp, Parm.nzp);

% body
for j = 1 : nyf
for k = 1 : nzf
	tline = strtrim(fgetl(fid));
	token = sscanf(tline, '%d');
	itis(1 : nxf, j + 1, k) = token;  % j + 1 !!
end
end

% file close
fclose(fid);

% correct Y=98
itis(:, 98, :) = itis(:, 2, :);

% set Epsr and Sigm
for k = 1 : Parm.nzp
for j = 1 : Parm.nyp
for i = 1 : Parm.nxp
	id = itis(i, j, k);  % =0/1/2/3/4/5
	Epsr(i, j, k) = Parm.epsr(id + 1);
	Sigm(i, j, k) = Parm.sigm(id + 1);
end
end
end
end
